GET /contacts/v1/customObject/{id}/isUsedInContacts

Overview 

Retrieves information about whether the contact model for an account uses the custom object.

URL Parameters 

NameTypeDescription
idguidRequiredID of the custom object as GUID value

Responses 

StatusNameTypeDescription
200  A validation response
 isUsedByContactsbooleanIndicates whether a contact model uses the custom object
 requestServiceMessageIDguidService message ID for the request
 resultMessagesarrayArray of returned messages regarding custom objects
 serviceMessageIDguidService message ID for the response

Usage 

Example Request

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2GET /contacts/v1/customObject/unique-UUID-from-SFMC/isUsedInContacts
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

1{
2    "isUsedByContacts": true
3    "requestServiceMessageID": "unique-GUID-from-SFMC"
4    "resultMessages": [0]
5    "serviceMessageID": "unique-GUID-from-SFMC"
6}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!